> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Info

> By consuming this endpoint you will be able to retrieve your information and status.

#### Request

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | The access token, valid for 5 minutes, is used to authenticate requests to other endpoints. |

#### Response Body

The response for this request is a JSON object with your information.

| Field | Description |
| --- | --- |
| clientType | This is the type of client assigned by Kravata according to your service model. In this scenario, B2B means you can place orders for funds to be sent or received to your own wallets and accounts. |
| complianceStatus | This status corresponds to the status determined after the onboarding and compliance review have been completed. To operate, this one must appear as "approved". |
| status | This status indicates your Kick Off meeting has occurred and all logistics necessary to operate are ready. To operate, this one must appear as "approved". |
| clientID | This is your unique identifier. |
| person | This indicates your profile information registered. |



## OpenAPI

````yaml /business/openapi.json get /api/infoClient
openapi: 3.1.0
info:
  title: Kravata Business API
  version: '1.0'
  description: >-
    Kravata Business API: on-ramp and off-ramp orders between fiat and
    stablecoins for your own accounts and wallets.
servers:
  - url: https://testapi.kravata.co
    description: Test
  - url: https://apiv2.kravata.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Accounts
  - name: Wallets
  - name: Ramp Orders
  - name: Webhooks
paths:
  /api/infoClient:
    get:
      tags:
        - Authentication
      summary: Get Client Info
      description: >-
        By consuming this endpoint you will be able to retrieve your information
        and status.


        #### Request


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | The access token, valid for 5 minutes,
        is used to authenticate requests to other endpoints. |


        #### Response Body


        The response for this request is a JSON object with your information.


        | Field | Description |

        | --- | --- |

        | clientType | This is the type of client assigned by Kravata according
        to your service model. In this scenario, B2B means you can place orders
        for funds to be sent or received to your own wallets and accounts. |

        | complianceStatus | This status corresponds to the status determined
        after the onboarding and compliance review have been completed. To
        operate, this one must appear as "approved". |

        | status | This status indicates your Kick Off meeting has occurred and
        all logistics necessary to operate are ready. To operate, this one must
        appear as "approved". |

        | clientID | This is your unique identifier. |

        | person | This indicates your profile information registered. |
      operationId: get-client-info
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  clientType:
                    type: string
                  complianceStatus:
                    type: string
                  constitutionCity:
                    type: string
                  constitutionCountryId:
                    type: integer
                  constitutionDate:
                    type: string
                  constitutionState:
                    type: string
                  id:
                    type: string
                  person:
                    type: object
                    properties:
                      businessName:
                        type: string
                      contactsData:
                        type: array
                        items:
                          type: object
                          properties:
                            city: {}
                            dataTypeContact:
                              type: string
                            dataValue:
                              type: string
                            isVerified:
                              type: boolean
                            personId:
                              type: string
                            postalCode: {}
                            registerDate:
                              type: string
                      firstName:
                        type: string
                      firstSurname: {}
                      id:
                        type: string
                      identificationNro:
                        type: string
                      identificationType:
                        type: string
                      isJuridic:
                        type: boolean
                      lastName:
                        type: string
                      middleName: {}
                      nationality: {}
                      pep: {}
                      registerDate:
                        type: string
                      verificateDigit:
                        type: integer
                  status:
                    type: string
                  tradeName:
                    type: string
              examples:
                api-infoclient:
                  summary: api/infoClient
                  value:
                    clientType: b2b
                    complianceStatus: approved
                    constitutionCity: Bogotá
                    constitutionCountryId: 8
                    constitutionDate: Wed, 24 Apr 2024 14:38:16 GMT
                    constitutionState: Bogotá Department
                    id: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                    person:
                      businessName: UserTest
                      contactsData:
                        - city: null
                          dataTypeContact: phone
                          dataValue: '+5730002123'
                          isVerified: true
                          personId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                          postalCode: null
                          registerDate: '2024-04-24 14:38:16.695722'
                        - city: null
                          dataTypeContact: email
                          dataValue: user@example.com
                          isVerified: true
                          personId: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                          postalCode: null
                          registerDate: '2024-04-24 14:38:16.683817'
                      firstName: UserTest
                      firstSurname: null
                      id: 08597c65-c25b-4a7c-8c68-f1180bce65f4
                      identificationNro: '238283432'
                      identificationType: nit
                      isJuridic: true
                      lastName: ''
                      middleName: null
                      nationality: null
                      pep: null
                      registerDate: '2024-04-24 14:38:16.608477'
                      verificateDigit: 4
                    status: approved
                    tradeName: UserTest
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token from POST /api/token (valid 5 minutes).

````